<template>
  <div class="overflow-hidden rounded-lg">
    <el-carousel
      id="home-carousel"
      trigger="click"
      :interval="4000"
      arrow="always"
      height="36.5vw"
      v-if="themeBanners.length"
    >
      <el-carousel-item v-for="item in themeBanners" :key="item.HtmlId">
        <nuxt-link :to="item.HyperLink">
          <img
            :src="item.ImagePath"
            class="object-contain h-full mx-auto duration-700"
            loading="lazy"
          />
        </nuxt-link>
      </el-carousel-item>
      <div
        class="bg-menu-r bottom-0 absolute right-0 left-0 h-[90px] z-[27]"
      ></div>
    </el-carousel>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";

const themePropertyKey = {
  banner: "promotion_banner_",
};

export default defineComponent({
  name: "Banner",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const themeBanners = computed(() =>
      themePropertyHelper.getMultipleThemesProperties(
        themeProperties.value,
        themePropertyKey.banner
      )
    );
    return {
      themeBanners,
    };
  },
});
</script>

<style scoped>
.bg-menu-r {
  background-image: linear-gradient(
    180deg,
    transparent,
    rgba(103, 133, 180, 0),
    rgba(197, 219, 253, 0.43)
  );
}
</style>
